org.wso2.extension.siddhi.execution.ml.samoa.utils

## Class ProcessTask

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.ProcessTask

- All Implemented Interfaces:
    com.github.javacliparser.Configurable, Serializable, org.apache.samoa.tasks.Task
  Direct Known Subclasses:
    StreamingClassificationTask, StreamingClusteringTask, StreamingRegressionTask

      public abstract class ProcessTask
      extends Object
      implements org.apache.samoa.tasks.Task, com.github.javacliparser.Configurable

  Source : Samoa prequentialtask : https://github.com/apache/incubator-samoa/blob/master/samoa-api /src/main/java/org/apache/samoa/tasks/PrequentialEvaluation.java
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.github.javacliparser.IntOption` | `batchDelayOption`
    `protected org.apache.samoa.topology.TopologyBuilder` | `builder`
    `Queue<double[]>` | `cepEvents`
    `com.github.javacliparser.FileOption` | `dumpFileOption`
    `com.github.javacliparser.StringOption` | `evaluationNameOption`
    `com.github.javacliparser.ClassOption` | `evaluatorOption`
    `protected org.apache.samoa.streams.InstanceStream` | `inputStream`
    `com.github.javacliparser.IntOption` | `instanceLimitOption`
    `protected org.apache.samoa.learners.Learner` | `learner`
    `com.github.javacliparser.ClassOption` | `learnerOption`
    `com.github.javacliparser.IntOption` | `sampleFrequencyOption`
    `com.github.javacliparser.FloatOption` | `samplingThresholdOption`
    `protected SourceProcessor` | `source`
    `com.github.javacliparser.IntOption` | `sourceDelayOption`
    `protected org.apache.samoa.topology.Stream` | `sourcePiOutputStream`
    `com.github.javacliparser.ClassOption` | `streamTrainOption`
    `protected org.apache.samoa.topology.Topology` | `topology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessTask()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static org.apache.samoa.evaluation.PerformanceEvaluator` | `getDefaultPerformanceEvaluatorForLearner(org.apache.samoa.learners.Learner learner)`
    `org.apache.samoa.topology.Topology` | `getTopology()`
    `abstract void` | `init()`
    `protected static boolean` | `isLearnerAndEvaluatorCompatible(org.apache.samoa.learners.Learner learner, org.apache.samoa.evaluation.PerformanceEvaluator evaluator)`
    `void` | `setCepEvents(Queue<double[]> cepEvents)`
    `void` | `setFactory(org.apache.samoa.topology.ComponentFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### learnerOption

          public com.github.javacliparser.ClassOption learnerOption

    - #### streamTrainOption

          public com.github.javacliparser.ClassOption streamTrainOption

    - #### evaluatorOption

          public com.github.javacliparser.ClassOption evaluatorOption

    - #### sampleFrequencyOption

          public com.github.javacliparser.IntOption sampleFrequencyOption

    - #### evaluationNameOption

          public com.github.javacliparser.StringOption evaluationNameOption

    - #### dumpFileOption

          public com.github.javacliparser.FileOption dumpFileOption

    - #### instanceLimitOption

          public com.github.javacliparser.IntOption instanceLimitOption

    - #### sourceDelayOption

          public com.github.javacliparser.IntOption sourceDelayOption

    - #### batchDelayOption

          public com.github.javacliparser.IntOption batchDelayOption

    - #### samplingThresholdOption

          public com.github.javacliparser.FloatOption samplingThresholdOption

    - #### source

          protected SourceProcessor source

    - #### inputStream

          protected org.apache.samoa.streams.InstanceStream inputStream

    - #### sourcePiOutputStream

          protected org.apache.samoa.topology.Stream sourcePiOutputStream

    - #### learner

          protected org.apache.samoa.learners.Learner learner

    - #### topology

          protected org.apache.samoa.topology.Topology topology

    - #### builder

          protected org.apache.samoa.topology.TopologyBuilder builder

    - #### cepEvents

          public Queue<double[]> cepEvents

  - ### Constructor Detail

    - #### ProcessTask

          public ProcessTask()

  - ### Method Detail

    - #### init

          public abstract void init()

      Specified by:
        `init` in interface `org.apache.samoa.tasks.Task`

    - #### setFactory

          public void setFactory(org.apache.samoa.topology.ComponentFactory factory)

      Specified by:
        `setFactory` in interface `org.apache.samoa.tasks.Task`

    - #### isLearnerAndEvaluatorCompatible

          protected static boolean isLearnerAndEvaluatorCompatible(org.apache.samoa.learners.Learner learner,
                                                                   org.apache.samoa.evaluation.PerformanceEvaluator evaluator)

    - #### getDefaultPerformanceEvaluatorForLearner

          protected static org.apache.samoa.evaluation.PerformanceEvaluator getDefaultPerformanceEvaluatorForLearner(org.apache.samoa.learners.Learner learner)

    - #### getTopology

          public org.apache.samoa.topology.Topology getTopology()

      Specified by:
        `getTopology` in interface `org.apache.samoa.tasks.Task`

    - #### setCepEvents

          public void setCepEvents(Queue<double[]> cepEvents)

Copyright © 2017 WSO2. All rights reserved.